<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'buyesrfolio',

    /*
     * Package.
     */
    'package'   => 'lead_task',

    /*
     * Modules.
     */
    'modules'   => ['lead_task'],

    
    'lead_task'       => [
        'model' => [
            'model'                 => \Buyesrfolio\LeadTask\Models\LeadTask::class,
            'table'                 => 'lead_tasks',
            'presenter'             => \Buyesrfolio\LeadTask\Repositories\Presenter\LeadTaskPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'task',  'due_date',  'time',  'leave_note',  'type',  'client_id',  'reminder',  'reminder_time',  'queue',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'lead_task/lead_task',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Buyesrfolio',
            'package'   => 'LeadTask',
            'module'    => 'LeadTask',
        ],

    ],
];
