Lavalite package that provides lead_task management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `buyesrfolio/lead_task`.

    "buyesrfolio/lead_task": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Buyesrfolio\LeadTask\Providers\LeadTaskServiceProvider::class,

And also add it to alias

    'LeadTask'  => Buyesrfolio\LeadTask\Facades\LeadTask::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Buyesrfolio\\LeadTaskTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Buyesrfolio\LeadTask\Providers\LeadTaskServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Buyesrfolio\LeadTask\Providers\LeadTaskServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Buyesrfolio\LeadTask\Providers\LeadTaskServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/lead_task/{modulename}

**User**

    http://path-to-route-folder/user/lead_task/{modulename}

**Public**

    http://path-to-route-folder/lead_tasks


### API endpoints

**List**

    http://path-to-route-folder/api/user/lead_task/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/lead_task/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/lead_task/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/lead_task/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/lead_task/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/lead_task/{modulename}/{slug}
    METHOD: GET