<?php

// API routes  for lead_task
Route::prefix('{guard}/lead_task')->group(function () {
    Route::get('lead_task/form/{element}', 'LeadTaskAPIController@form');
    Route::resource('lead_task', 'LeadTaskAPIController');
});

// Public routes for lead_task
Route::get('lead_tasks/', 'LeadTaskPublicController@index');
Route::get('lead_tasks/{slug?}', 'LeadTaskPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for lead_tasks
            Route::prefix('{guard}/lead_task')->group(function () {
                Route::get('lead_task/form/{element}', 'LeadTaskAPIController@form');
                Route::apiResource('lead_task', 'LeadTaskAPIController');
            });
            // Public routes for lead_tasks
            Route::get('lead_task/LeadTask', 'LeadTaskPublicController@getLeadTask');
        }
    );
}

