<?php

// web routes  for lead_task
Route::prefix('{guard}/lead_task')->group(function () {
    Route::resource('lead_task', 'LeadTaskResourceController');
});

// Public routes for lead_task
Route::get('lead_tasks/', 'LeadTaskPublicController@index');
Route::get('lead_tasks/{slug?}', 'LeadTaskPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'LeadTaskResourceController');
            });
            // Public routes for pages
            Route::get('lead_tasks/', 'LeadTaskPublicController@index');
            Route::get('lead_tasks/{slug?}', 'LeadTaskPublicController@show');
        }
    );
}

