<?php

namespace Buyesrfolio\LeadTask\Forms;

class LeadTask
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'task' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.task'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.task'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'due_date' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.due_date'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.due_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'time' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.time'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leave_note' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.leave_note'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.leave_note'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'type' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.type'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'client_id' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.client_id'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.client_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reminder' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.reminder'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.reminder'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reminder_time' => [
                    "type" => 'time_picker',
                    "label" => trans('lead_task::lead_task.label.reminder_time'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.reminder_time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'queue' => [
                    "type" => 'text',
                    "label" => trans('lead_task::lead_task.label.queue'),
                    "placeholder" => trans('lead_task::lead_task.placeholder.queue'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
