<?php

namespace Buyesrfolio\LeadTask;

use User;

class LeadTask
{
    /**
     * $lead_task object.
     */
    protected $lead_task;

    /**
     * Constructor.
     */
    public function __construct(\Buyesrfolio\LeadTask\Interfaces\LeadTaskRepositoryInterface $lead_task)
    {
        $this->lead_task = $lead_task;
    }

    /**
     * Returns count of lead_task.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.lead_task.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->lead_task->pushCriteria(new \Litepie\Buyesrfolio\Repositories\Criteria\LeadTaskUserCriteria());
        }

        $lead_task = $this->lead_task->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('lead_task::' . $view, compact('lead_task'))->render();
    }
}
