<?php

namespace Buyesrfolio\LeadTask\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeadTaskTransformer extends TransformerAbstract
{
    public function transform(\Buyesrfolio\LeadTask\Models\LeadTask $lead_task)
    {
        return [
            'id'                => $lead_task->getRouteKey(),
            'key'               => [
                'public'    => $lead_task->getPublicKey(),
                'route'     => $lead_task->getRouteKey(),
            ], 
            'task'              => $lead_task->task,
            'due_date'          => $lead_task->due_date,
            'time'              => $lead_task->time,
            'leave_note'        => $lead_task->leave_note,
            'type'              => $lead_task->type,
            'client_id'         => $lead_task->client_id,
            'reminder'          => $lead_task->reminder,
            'reminder_time'     => $lead_task->reminder_time,
            'queue'             => $lead_task->queue,
            'deleted_at'        => $lead_task->deleted_at,
            'url'               => [
                'public'    => trans_url('lead_task/'.$lead_task->getPublicKey()),
                'user'      => guard_url('lead_task/lead_task/'.$lead_task->getRouteKey()),
            ], 
            'status'            => trans('app.'.$lead_task->status),
            'created_at'        => format_date($lead_task->created_at),
            'updated_at'        => format_date($lead_task->updated_at),
        ];
    }
}